model.h File Reference
`#include <vector>`
`#include <random>`
`#include <utility>`
`#include <memory>`
`#include "args.h"`
`#include "matrix.h"`
`#include "vector.h"`
`#include "qmatrix.h"`
`#include "real.h"`

Go to the source code of this file.

## Classes

struct | fasttext::Node
class | fasttext::Model

## Namespaces

| fasttext

## Macros

#define | SIGMOID_TABLE_SIZE 512
#define | MAX_SIGMOID 8
#define | LOG_TABLE_SIZE 512

## Macro Definition Documentation

## LOG_TABLE_SIZE

#define LOG_TABLE_SIZE 512

## MAX_SIGMOID

#define MAX_SIGMOID 8

## SIGMOID_TABLE_SIZE

#define SIGMOID_TABLE_SIZE 512

Copyright (c) 2016-present, Facebook, Inc. All rights reserved.

This source code is licensed under the MIT-style license found in the LICENSE file in the root directory of this source tree.